Kerbal Space Program - Feedback #9573

Allow zooming using external mouse
04/28/2016 08:05 PM - nickrulercreator

Status: Not a Bug

Severity: Normal

Assignee:

Category: Controls and Ul

Target version:

Version: 1.1.0 Language: English (US)
Platform: OSX, Windows Mod Related: No
Expansion:

Description

The Shift+Scroll Wheel combination to zoom doesn't work and it makes things very hard, please put this feature into the game.

History

#1 - 04/29/2016 09:54 AM - sal_vager

- Status changed from New to Not a Bug

- % Done changed from 0 to 100

Hi nickrulercreator.

The mouse scroll wheel is used to zoom the camera view in the following areas:
Space center scene.

Flight scene.

IVA.

Map.

Tracking station.

Spaceplane Hangar.

Mouse scroll wheel with shift will zoom the view in the VAB.

| just tested this with a wireless mouse, and there is no code in KSP to ignore external mice.
Please try another mouse, or a wired mouse, thank you.

#3 - 11/12/2016 07:35 AM - JPLRepo

This was changed with the 1.2.1 release.

Add customizable binding for Editor Scroll Modifier for Zoom - default to left-command for OSX instead of left-shift.
